import PropTypes from 'prop-types';
import React from 'react';
import colors from '../../../theme/js/color-variables';

export const IconScr = ({ className }) => (
  <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 18 18" className={className}>
    <g fill="none" fillRule="evenodd">
      <circle cx="9" cy="9" r="9" fill={colors.greenG40} />
      <text fill={colors.white} fontFamily="Roboto-Bold, Roboto" fontSize="12" fontWeight="bold">
        <tspan x="5.5" y="13">S</tspan>
      </text>
    </g>
  </svg>
);

IconScr.propTypes = {
  className: PropTypes.string,
};

IconScr.defaultProps = {
  className: null,
};
